### Method

# Gio MenuItem get_link

since: 2.34

#### Declaration

    GMenuModel*
    g_menu_item_get_link (
      GMenuItem* menu_item,
      const gchar* link
    )

#### Description

Queries the named `link` on `menu_item`.

Available since: 2.34

#### Parameters

`link`

  Type: `const gchar*`

  The link name to query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GMenuModel`

The link, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.